Failed deploy agent

Antworten
apitart
Beiträge: 2
Registriert: 03 Jul 2024, 21:30

Failed deploy agent

Beitrag von apitart »

Hello,
I am trying to deploy the opsi-agent-client using the ./opsi-deploy-client-agent command and I get the error below. What am I doing wrong?. I also don't understand where these parameters have to be configured, since it is not explained correctly?An open c$ share.

An open admin$ share.

An administrative account.

The services RpcSs and RpcEptMapper must be running (from Windows 8, this is the default setting).

A firewall that allows File and Printer Sharing and Windows Management Instrumentation (WMI).

The registry key HKLM:\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System\LocalAccountTokenFilterPolicy should have the value 1.

root@opsisrv:/var/lib/opsi/depot/opsi-client-agent# ./opsi-deploy-client-agent pc02.miempresa.local --username miempresa\\a.pitart
Password is required for deployment.
Password:
[4] [2024-07-03 19:21:05.504] [ ] Warning 'unclosed <socket.socket fd=4, family=2, type=1, proto=6, laddr=('192.168.16.111', 40364), raddr=('192.168.16.114', 135)>' in file 'impacket/dcerpc/v5/transport.py', line 349 (logging.py:949)
[3] [2024-07-03 19:21:15.290] [pc02.miempresa.local] Could not open DCOM connection: Could not connect: [Errno 110] Connection timed out (windows.py:73)
Traceback (most recent call last):
File "impacket/dcerpc/v5/transport.py", line 352, in connect
TimeoutError: [Errno 110] Connection timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "opsideployclientagent/windows.py", line 69, in dcom_connection
File "impacket/dcerpc/v5/dcom/wmi.py", line 3258, in NTLMLogin
File "impacket/dcerpc/v5/dcomrt.py", line 1326, in request
File "impacket/dcerpc/v5/dcomrt.py", line 1303, in connect
File "impacket/dcerpc/v5/rpcrt.py", line 803, in connect
File "impacket/dcerpc/v5/transport.py", line 355, in connect
impacket.dcerpc.v5.rpcrt.DCERPCException: Could not connect: [Errno 110] Connection timed out
[3] [2024-07-03 19:21:15.296] [pc02.miempresa.local] Deployment to pc02.miempresa.local failed: generator didn't yield (common.py:455)
[4] [2024-07-03 19:21:16.948] [ ] 1/1 deployments failed (__init__.py:195)
Benutzeravatar
j.schneider
uib-Team
Beiträge: 1861
Registriert: 29 Mai 2008, 15:14

Re: Failed deploy agent

Beitrag von j.schneider »

Hello,

the client seems to block connections on port 135 (RPC).

Best regards,
Jan Schneider
apitart
Beiträge: 2
Registriert: 03 Jul 2024, 21:30

Re: Failed deploy agent

Beitrag von apitart »

And how do I unblock port 135?
Antworten